> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Updated Roles > Gets all the roles in the workspace which are updated after a given date. ### Changelog | Version | Description | | ---------------- | ------------| |3.1.0 | Added | ## OpenAPI ````json GET /api/v1/roles.sync { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/roles.sync": { "get": { "tags": [ "Roles" ], "summary": "Get Updated Roles", "description": "Gets all the roles in the workspace which are updated after a given date.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|3.1.0 | Added |", "operationId": "get-api-v1-roles.sync", "parameters": [ { "name": "updatedSince", "in": "query", "description": "Date as ISO string.", "required": "true", "schema": { "type": "string" }, "example": "2017-11-25T15:08:17.248Z" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Auth-Token" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "roles": { "type": "object", "properties": { "update": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "description": { "type": "string" }, "mandatory2fa": { "type": "boolean" }, "protected": { "type": "boolean" }, "scope": { "type": "string" } } } }, "remove": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "description": { "type": "string" }, "mandatory2fa": { "type": "boolean" }, "protected": { "type": "boolean" }, "scope": { "type": "string" } } } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "roles": { "update": [ { "_id": "admin", "description": "Admin", "mandatory2fa": "false", "protected": "true", "scope": "Users" } ], "remove": [ { "_id": "user", "description": "User", "mandatory2fa": "false", "protected": "true", "scope": "Users" } ] }, "success": "true" } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "Match error: Missing key 'updatedSince'" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````